Skip to content

allocate

POST
/credentials/v1/allocate
curl --request POST \
--url https://example.com/credentials/v1/allocate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "@context": [ "https://www.w3.org/ns/credentials/v2", "https://w3id.org/security/v2" ], "credentialSubject": { "id": "urn:cid:bagb6qaq6edqdm7xkmolcxwdxx2ivcxsrcv6gv5nbwk3acrnclfresrjfwqwc4" }, "id": "urn:uuid:aa115482-3a7d-498a-a05c-983722b501f8", "issuer": "did:key:z6MknhUHrjoPhJVL1bi6JbbesdJCtWmgzk1o7yS66GMY5bnS", "type": [ "VerifiableCredential" ], "validFrom": "2025-10-02T20:33:12Z" }'
Media type application/json
Example
{
"@context": [
"https://www.w3.org/ns/credentials/v2",
"https://w3id.org/security/v2"
],
"credentialSubject": {
"id": "urn:cid:bagb6qaq6edqdm7xkmolcxwdxx2ivcxsrcv6gv5nbwk3acrnclfresrjfwqwc4"
},
"id": "urn:uuid:aa115482-3a7d-498a-a05c-983722b501f8",
"issuer": "did:key:z6MknhUHrjoPhJVL1bi6JbbesdJCtWmgzk1o7yS66GMY5bnS",
"type": [
"VerifiableCredential"
],
"validFrom": "2025-10-02T20:33:12Z"
}

Credential updated with credentialStatus entries

Media type application/json
Example generated
example

Invalid credential payload

Media type application/json
object
callstack
object
One of:
object
internal
required
string
error
required
string
Example generated
{
"callstack": {
"internal": "example"
},
"error": "example"
}

Server error

Media type application/json
object
callstack
object
One of:
object
internal
required
string
error
required
string
Example generated
{
"callstack": {
"internal": "example"
},
"error": "example"
}